## ubuntu-push 0.68+17.04.20170211

=== debian/changelog ===
ubuntu-push (0.68+17.04.20170211-0ubuntu2) zesty; urgency=medium

  * No-change rebuild (LP: #1681870).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 11 Apr 2017 17:33:31 +0100

ubuntu-push (0.68+17.04.20170211-0ubuntu1) zesty; urgency=medium

  * Disable the tests to fix FTBFS on zesty, ubuntu-push doesn't work on
    anything later than vivid anyway
  * Handle ubuntu-app-launch API change

 -- Ken VanDine <ken.vandine@canonical.com>  Sat, 11 Feb 2017 00:15:44 +0000
