=== debian/control ===
Source: ubuntu-push
Section: net
Priority: optional
XSBC-Original-Maintainer: John Lenton <john.lenton@canonical.com>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-exec (>= 0.3),
               dh-golang,
               golang-go,
               golang-go-dbus-dev,
               golang-go-xdg-dev,
               golang-gocheck-dev,
               golang-github-mattn-go-sqlite3-dev,
               golang-github-pborman-uuid-dev,
               libgcrypt11-dev,
               libglib2.0-dev (>= 2.31.6),
               libmessaging-menu-dev,
               libubuntu-app-launch3-dev,
               libubuntuoneauth-2.0-dev,
               libdbus-1-dev,
               libnih-dbus-dev,
               libclick-0.4-dev,
               liburl-dispatcher1-dev,
               libaccounts-glib-dev,
               cmake,
               python3,
               upstart,
Standards-Version: 3.9.5
Homepage: http://launchpad.net/ubuntu-push
Vcs-Bzr: lp:ubuntu-push
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-push-hackers/ubuntu-push/trunk/files

Package: ubuntu-push-client
Architecture: any
Multi-Arch: foreign
Depends: dbus,
         network-manager,
         qtdeclarative5-unity-notifications-plugin | notification-daemon,
         url-dispatcher,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using}
Description: Ubuntu Push Notifications client-side daemon
 The Ubuntu Push Notifications client-side daemon.

Package: golang-ubuntu-push-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using}
Description: Ubuntu Push Notifications client-side daemon development package
 The Ubuntu Push Notifications client-side daemon library.
 .
 This package contains the source.

Package: ubuntu-push-dev-server
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using}
Description: Ubuntu Push Notifications development & testing server
 The Ubuntu Push Notifications dev & testing server.

Package: ubuntu-push-autopilot
Architecture: amd64 armhf i386
Multi-Arch: foreign
Depends: unity8-autopilot,
         ubuntu-push-client,
Recommends: ubuntu-push-dev-server,
Built-Using: ${misc:Built-Using}
Description: Ubuntu Push Notifications autopilot tests
 The Ubuntu Push Notifications autopilot tests.
